# Get agedAccountsPayable
Retrieve the properties and relationships of an aged accounts payable report object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/agedAccountsPayables({vendorId})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an agedAccountsPayables object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/agedAccountsPayables({vendorId})
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
{
    "vendorId": "f7a5738a-44e3-ea11-bb43-000d3a2feca1",
    "vendorNumber": "10000",
    "name": "Fabrikam, Inc.",
    "currencyCode": "",
    "balanceDue": 2071.13,
    "currentAmount": 0,
    "period1Amount": 0,
    "period2Amount": 0,
    "period3Amount": 2071.13,
    "agedAsOfDate": "2020-08-21",
    "periodLengthFilter": "30D"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_agedaccountspayable

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_agedaccountspayable_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_agedaccountspayable_get/
